<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>GIS Web App</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
  </head>
  <body>
    <!-- Cesium globe container -->
    <div id="cesiumContainer"></div>

    <!-- Controls container -->
    <div id="toolbar">
      <table>
        <tbody>
          <tr>
            <td style="display: flex">
              <label for="datepicker" style="margin-right: 1rem">Дата</label>
              <input id="datepicker" data-toggle="datepicker" style="width: 100%"/>
            </td>
          </tr>

          <tr>
            <td style="display: flex">
              <label for="hour-slider" style="margin-right: 2rem">Час</label>
              <div id="hour-slider" style="width: 100%"></div>
            </td>
          </tr>

          <tr>
            <td>
              <label for="field-radio">Компонент геомагнитного поля</label>
              <div id="field-radio">
                <div class="input-container">
                  <input
                    type="radio"
                    id="field-x"
                    name="geomag-field-component"
                    value="x"
                  /><label for="field-x">X</label>
                </div>
                <div class="input-container">
                  <input
                    type="radio"
                    id="field-y"
                    name="geomag-field-component"
                    value="y"
                  /><label for="field-y">Y</label>
                </div>
                <div class="input-container">
                  <input
                    type="radio"
                    id="field-z"
                    name="geomag-field-component"
                    value="z"
                  /><label for="field-z">Z</label>
                </div>
                <div class="input-container">
                  <input
                    type="radio"
                    id="field-f"
                    name="geomag-field-component"
                    value="f"
                  /><label for="field-f">F</label>
                </div>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>

    <!-- Hidden container for Cesium credits -->
    <div id="cesiumCredits"></div>
  </body>
</html>
